import { Collection } from "../../util/collection.js";
/**
 * Gets the list of available discovery categories.
 *
 * @param bot - The bot instance to use to make the request.
 *
 * @privateRemarks
 * This endpoint is not formally documented.
 */
export async function getDiscoveryCategories(bot) {
    const results = await bot.rest.runMethod(bot.rest, "GET", bot.constants.routes.DISCOVERY_CATEGORIES());
    return new Collection(results.map((result) => {
        const category = { id: BigInt(result.id), name: result.name, isPrimary: result.is_primary };
        return [category.id, category];
    }));
}
