"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteDiscoverySubcategory = void 0;
/**
 * Deletes a discovery subcategory from a guild.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to delete the subcategory from.
 * @param categoryId - The ID of the category to delete from the guild.
 *
 * @remarks
 * Requires the `MANAGE_GUILD` permission.
 *
 * @privateRemarks
 * This endpoint is not formally documented.
 */
async function deleteDiscoverySubcategory(bot, guildId, categoryId) {
    return await bot.rest.runMethod(bot.rest, "DELETE", bot.constants.routes.DISCOVERY_SUBCATEGORY(guildId, categoryId));
}
exports.deleteDiscoverySubcategory = deleteDiscoverySubcategory;
