"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addThreadMember = void 0;
const permissions_js_1 = require("../../permissions.js");
function addThreadMember(bot) {
    const addThreadMember = bot.helpers.addThreadMember;
    bot.helpers.addThreadMember = async function (threadId, userId) {
        const channel = bot.channels.get(threadId);
        if (channel) {
            if (channel.archived)
                throw new Error("Cannot add user to thread if thread is archived.");
            (0, permissions_js_1.requireBotChannelPermissions)(bot, channel, ["SEND_MESSAGES"]);
        }
        return await addThreadMember(threadId, userId);
    };
}
exports.addThreadMember = addThreadMember;
