import type { Bot } from "../../bot.js";
import { DiscoveryMetadata } from "./getDiscovery.js";
/**
 * Edits the discovery settings of a guild.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to edit the discovery settings of.
 * @param options - The parameters for the edit of the discovery settings.
 *
 * @remarks
 * Requires the `MANAGE_GUILD` permission.
 *
 * @privateRemarks
 * This endpoint is not formally documented.
 */
export declare function editDiscovery(bot: Bot, guildId: bigint, options: ModifyGuildDiscoveryMetadata): Promise<DiscoveryMetadata>;
export interface ModifyGuildDiscoveryMetadata {
    /** The id of the primary discovery category. Default: 0 */
    primaryCategoryId?: number | null;
    /** Up to 10 discovery search keywords. Default: null */
    keywords?: string[] | null;
    /** Whether guild info is shown when custom emojis are clicked. Default: true */
    emojiDiscoverabilityEnabled?: boolean | null;
}
